### Method

# Gimp ProcedureConfig get_core_object_array

since: 3.0

#### Declaration [src]

    GObject**
    gimp_procedure_config_get_core_object_array (
      GimpProcedureConfig* config,
      const gchar* property_name
    )

#### Description [src]

A function for bindings to get a `GimpCoreObjectArray` property. Getting these with `g_object_get()` or `g_object_get_property()` won’t work for the time being so all our boxed array types must be set and get using alternative functions instead.

C plug-ins should just use `g_object_get()`.

Available since: 3.0

#### Parameters

`property_name`

  Type: `const gchar*`

  The name of a `GimpParamSpecCoreObjectArray` param spec.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `GObject*`

An array of `GObjects`.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data container, but not the data inside it.